Exporting Error

Get help using Construct 2

Post » Mon Nov 16, 2015 6:44 pm

Hello, I finished my game and I tried to export as NW.js, I installed it and when the export finished, it show me a error like this:
Error during export: Cannot open file 'C:\Users\LUIS_CARLOS\Desktop\GameTest\osx32\gametest.app\Contents\Info.plist'
And when I open the win32 folder and open the game, it says that a file: nw_elf.dll is missing
What to do?
B
4
Posts: 13
Reputation: 226

Post » Mon Nov 16, 2015 9:16 pm

I'm going to reference this tutorial in regards to your OSX issue.

Export your nw.js folder. Don't do anything to the files. Network your pc and mac machines together. On your mac, copy the files from the PC to the mac. This should allow you to run your program. I recently exported my game, zipped the OSX folders, uploaded them to google drive and then downloaded them on my mac. Game wouldn't run. Got to do it the other way.

In regards to nw_elf.dll missing, I have no suggestions other than reinstalling nw.js.
B
42
S
11
G
1
Posts: 264
Reputation: 3,299

Post » Sat Nov 21, 2015 8:32 am

I have some trobules on windows too
B
5
S
1
Posts: 16
Reputation: 410

Post » Sun Nov 22, 2015 4:08 am

Same problem here - on windows
B
15
S
2
Posts: 45
Reputation: 802

Post » Sun Nov 22, 2015 5:33 am

getting the same error here also. Happened since I converted to Windows 10. You guys on 7 or 8 and getting same problem ?
B
18
S
2
Posts: 48
Reputation: 896

Post » Sun Nov 22, 2015 5:42 am

ryrydawg wrote:getting the same error here also. Happened since I converted to Windows 10. You guys on 7 or 8 and getting same problem ?



Yeah, win7, 64bit
B
5
S
1
Posts: 16
Reputation: 410

Post » Tue Nov 24, 2015 5:24 am

I guess ...... the answer is
NW.js 0.13.0-alpha5 + Construct 2 Release r217

check ur c2 and nwjs version~!

hope this could help u
B
16
S
5
G
1
Posts: 4
Reputation: 1,261

Post » Sat Dec 05, 2015 11:59 pm

Hello I had the same problem and I installed other version of node.js. After doing that the problem dissapear. I downloaded the version v0.12.0 (Chromium 41) from the page https://www.scirra.com/nwjs

Hope this help u all guys!!

PD I have winx64
B
4
Posts: 1
Reputation: 204

Post » Mon Dec 21, 2015 10:42 am

@jose901105 makes a good point. The newest version is only compatible with the beta r217. That's what caught me. I clicked the big download and I got the wrong one. Make sure it does not happen. Anyone else lurking who finds this, make sure the right one is installed.
B
4
S
1
Posts: 6
Reputation: 374

Post » Mon Jan 18, 2016 9:25 am

cheers to Mrcoldmu and jose 901105!
works ike a charm! :)
B
5
S
1
Posts: 12
Reputation: 403


Return to How do I....?

Who is online

Users browsing this forum: Exabot [Bot], FacuLNF and 70 guests